Index: modules/ffmpeg/classes/FfmpegToolkitHelper.class
===================================================================
--- modules/ffmpeg/classes/FfmpegToolkitHelper.class	(revision 19229)
+++ modules/ffmpeg/classes/FfmpegToolkitHelper.class	(working copy)
@@ -195,7 +195,7 @@
 	/* We only care about video for now */
 	/** @todo: Add '3g2' => '3g2', '3gp' => '3gp' when recognized as videos */
 	$relevantTypes = array('mpeg' => 'mpeg', 'asf' => 'asf', 'avi' => 'avi',
-			       'mov' => 'mov', 'wmv1' => 'wmv', 'flv' => 'flv', 'mp4' => 'mp4');
+			       'mov' => 'mov', 'wmv1' => 'wmv', 'flv' => 'flv', 'mp4' => 'mp4', 'ogg' => 'ogg');
 	/* We only care about encoding flash video for now */
 	$relevantEncode = array('flv' => 'flv');
 	/**
Index: modules/core/classes/helpers/GalleryMimeTypeHelper_advanced.class
===================================================================
--- modules/core/classes/helpers/GalleryMimeTypeHelper_advanced.class	(revision 19229)
+++ modules/core/classes/helpers/GalleryMimeTypeHelper_advanced.class	(working copy)
@@ -182,6 +182,7 @@
 	    'asx' => 'video/x-ms-asx',
 	    'wmv' => 'video/x-ms-wmv',
 	    'wma' => 'audio/x-ms-wma',
+	    'ogg' => 'video/ogg',
 
 	    /* JPEG 2000: From RFC 3745: http://www.faqs.org/rfcs/rfc3745.html */
 	    'jp2' => 'image/jp2',
Index: modules/core/classes/GalleryMovieItem.class
===================================================================
--- modules/core/classes/GalleryMovieItem.class	(revision 19229)
+++ modules/core/classes/GalleryMovieItem.class	(working copy)
@@ -92,6 +92,7 @@
 	    'video/x-ms-wmv',
 	    'video/x-ms-asf',
 	    'video/x-ms-asx',
+	    'video/ogg'
 	);
 	return $this->_canBeViewedInline(
 		($this->getWidth() > 0 && $this->getHeight() > 0) ? $mimeList : null);
@@ -286,6 +287,17 @@
 		$this->getMimeType(),
 		$fallback);
 
+	    case 'video/ogg':
+		return sprintf(
+		'<video controls="true" autoplay="true" width="%s" height="%s" src="%s" id="%s"%s>
+			   %s
+		 </video>',
+
+		$width, $height, $src,
+		!empty($params['id']) ? $params['id'] : 'movie',
+		!empty($params['class']) ? ' class="' . $params['class'] . '"' : '',
+		$fallback);
+
 	    default:
 		return $fallback;
 	    }
